<?php
namespace Magento\AdvancedSearch\Block\Suggestions;

/**
 * Interceptor class for @see \Magento\AdvancedSearch\Block\Suggestions
 */
class Interceptor extends \Magento\AdvancedSearch\Block\Suggestions implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\AdvancedSearch\Model\SuggestedQueriesInterface $searchDataProvider, \Magento\Search\Model\QueryFactoryInterface $queryFactory, $title, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $searchDataProvider, $queryFactory, $title, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
